/* Default Colors */
$red : #be0a26 ;
$black : #333333 ;
$white : #fefefe ;
$gray : #f8f8f8;

html {
  font-size: 16px !important;
  overflow-x: hidden;
  scroll-behavior: smooth;
  /* 15 inches Monitors */
  @media screen and (max-width: 1312px) {
    font-size: 14px !important;
  }
  @media screen and (max-width: 1151px) {
    font-size: 11.8px !important;
  }


  @media screen and (max-width: 960px) {
    font-size: 14px !important;
  }
  @media screen and (max-width: 767px) {
    font-size: 12px !important;
  }
  @media screen and (max-width: 480px) {
    font-size: 8px !important;
  }

  body {
    text-align: right;
  }
  ul {
    list-style: none;
    padding-right: 0;
  }
  a {
    color: inherit;
    text-decoration: inherit;
    &:hover {
      color: inherit;
      text-decoration: inherit;
    }
  }
}
.bg-gray{
  background-color: $gray;
}

p {
  font-family: MarkaziText-Regular;
  font-size: 1.5rem;
  color : $black;
  line-height: 1.2;
  .lang-fr & {
    font-family: Raleway-Regular;
    font-size: 1.3rem;
    line-height: 1.4;
  }
  &.home{
  font-size: 1.9rem;

  }
}


.white {
  color : $white;
}
.red {
  color : $red;
}

/* Titres & texts */
.title-ar-1 {
  font-family: Cairo-Bold;
  font-size: 4.5rem;
}
.title-ar-2 {
  font-family: Cairo-Bold;
  font-size: 2.5rem;
}
.title-ar-3 {
  font-family: Cairo-Bold;
  font-size: 2.25rem;
  
}

.text-ar-1 {
  font-family: Cairo-Regular;
  font-size: 1.875rem;
}
.text-ar-2 {
  font-family: Cairo-Regular;
  font-size: 1.25rem;
}
.text-ar-3 {
  font-family: Cairo-Regular;
  font-size: 1rem;
}
.text-bg {
  @extend .text-ar-1;
  background-color: #222222;
  padding : 0.9375rem 2.1875rem 0.9375rem 2.1875rem;
  color : white ;
  display: inline-block;
}

p.bigger {
  font-size: 1.9rem;
  text-align: center;
  .lang-fr &{
    font-size: 1.2rem;
  }
}
.site-logo {
  height: 3.8125rem;
}
/* Icons and backgrounds*/

.list-icons {
  min-height: 1.5rem;
  min-width: 1.5rem;
  @media screen and (max-width: 960px) {
    min-height: 2.5rem;
    min-width: 4.5rem;
  }
  background-size: auto;
  background-repeat: no-repeat !important;
  display: inline-block;
}
.facebook-icon {
  background-image : url("../assets/icons/fb.svg")
}
.twitter-icon {
  background-image : url("../assets/icons/twitter.svg")
}

.share-email-icon {
  background-image : url("../assets/icons/envelope.svg")
}
.search-icon {
  background-image : url("../assets/icons/search.svg");
  width: 1.25rem;
  transform: translateY(1.8px);
  background-size: 1.25rem;
}
.email-icon {
  background-image : url("../assets/icons/mail.svg")
}
/* Template Buttons */
.no-click{
  cursor: default !important;
  }

.default-btn {
  background-color: transparent;
  padding: 0.625rem 2.9375rem 0.625rem 1.25rem;
  border: solid 1px black;
  background-image: url('../assets/icons/right-arrow-black.png');
  background-repeat: no-repeat;
  background-size: 2.6875rem;
  cursor: pointer;
  &:focus {
    outline: none;
  }
  
  background-position : 97% ;

  background-position-y: 68%;
  @extend .text-ar-2;
  &.black {
    padding-right: 1.25rem;
    padding-left: 2.9375rem; 
    background-position: 5%; 
    color: white; 
    background-color: black;
    background-image: url('../assets/icons/white-arrow.png');
    background-size: 2rem;
    
  }
  
}

.pdf-btn {
  cursor: pointer;
  background-color: $red;
  padding: 0.625rem 4.25rem 0.625rem 1.75rem;
  border : none ;
  color : white ;
  font-family : Cairo-Regular;
  font-size: 1.25rem;
  background-image: url('../assets/icons/pdf-icon-white.svg');
  background-repeat: no-repeat;
  background-size: 1.4375rem;
  background-position: 86%;
  background-repeat: no-repeat;
}
.btn:focus{
  box-shadow: unset;
}

/*Animations*/

.slide-right {
  transform: translateX(111%);
}
.slide-left {
  transform: translateX(-111%);
}


.black-layer {
  position: relative;
  width: 100%;
  height : 100%;
  background-color: rgba(0,0,0,0.3);
}
.black-layer-2 {
  @extend .black-layer;
  background-color: rgba(0,0,0,0.70);
}

.page-header {
  height: 100vh;
  background-image : url("../assets/backgrounds/bg-3.jpg");
  background-size: cover;
  .page-header-content {
    position: absolute;
    top: 50%;
    left: 10%;
    right: 10%;
    transform: translate(0, -50%);
   
     

  }
}

footer {
  min-height: 37.5rem;
  background-color: #1c1c1c;
  .site-logo {
    margin-top: 4.375rem;
  }
  hr {
    border-color: #464646;
    margin-top: 3.75rem ;
    @media screen and (max-width: 960px) {
      margin-bottom: 0;
    }
  }
  .footer-list-group {
    @extend .px-md-0;
    font-family : Cairo-Regular;
    color : $white;
    padding-left: 4rem !important;
      .list-title {
        font-family : Cairo-Regular;
        font-size: 1.5rem;
        color : $white;
      }
    ul {
      margin-top:1.75rem;
      padding-left: 0;
      li {
        font-size: 1rem;
        margin-bottom: 0.625rem;
      }
    }
    .contact-us {
      .lang-fr &{
        margin-left: 3rem;
      }
      padding-right: 1.5625rem;
      li {
        margin-bottom: 1.25rem;
      }
      .address {
        &::before {
          content: '';
          width: 1.0625rem;
          height: 1.4375rem;
          background-image: url("../assets/icons/icon_ pointer.png");
          display: inline-flex;
          position: absolute;
          right :0;
          .lang-fr &{
            left: 4rem;
          }
        }
      }
      .address {
        &::before {
          content: '';
          width: 1rem;
          height: 1.4375rem;
          background-image: url("../assets/icons/icon_ pointer.png");
          display: inline-flex;
          position: absolute;
          right :0;
          transform: translateY(1px);
        }
      }
      .phone {
        @extend .address;
        &::before {
          width: 0.75rem;
          height: 1rem;
          background-image: url("../assets/icons/phone.svg");
          transform: translateY(2px);
          background-repeat: no-repeat;
        }
      }
      .email {
        @extend .address;
        &::before {
          width: 1.25rem;
          height: 0.875rem;
          background-image: url("../assets/icons/mail.svg");
          transform: translateY(4px);
          background-repeat: no-repeat;
          background-position: right;
          .lang-fr &{
            background-position: left;
          }
        }
      }
    }

    .news {
      color : $white;
      opacity: 0.5;
      padding-top: 0.6875rem;
    }
  }

  .allrights {
    font-family: Cairo-Regular;
    font-size: 1rem;
    color : $white;
    opacity: 0.5;
    margin-top: 2.1875rem !important;
    @extend .mb-0;
  }
}
/* Responsive */

.menu-icon {
  height: 2.1875rem;
  position: absolute;
  left: 5%;
  top: 50%;
  transform: translateY(-50%);
  .lang-fr & {
    left: 90%;
  }
}

.mobile-menu {
  transition: all .4s ease-in-out;
  background-color: black;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  height: 100vh;
  position: fixed;
  .main-menu {
    
    @extend .px-4;
      li {
        font-size: 2.5rem;
        display: block;
        margin-bottom: 1.25rem;

      }
  }
  .menu-icon {
    position: absolute;
    top: 8vh;
  }

}

.dir-ltr {
  direction: ltr;
}
hr.large {
  border-bottom: 11px $red solid;
}

.mobile-menu.open {
  -webkit-transform: translateX(0);
  visibility: inherit;
  opacity: 1;
  display: block;
}

.mobile-menu {
  -webkit-transform: translateX(-100%);
  visibility: hidden;
  display: none;
  opacity: 0;
}
.mobile-only {
  @extend .d-block ;
  @extend .d-lg-none ;
}

.desktop-only {
  @extend .d-none ;
  @extend .d-lg-block ;
}
.center-mobile {
  @extend .text-center;
  @extend .text-lg-right;
}

.arrow {
    width : 3rem;
}

.backtotop {
  .lang-fr &{
    float: right !important;
  }
  @extend .float-left;
  @extend .allrights;
  @extend .mt-0;
  img {
    width: 2.5rem;
    margin-right: 7px;
    transform: rotate(180deg);
    
  }
}

.poweredby {
  @extend .allrights;
  @extend .mt-5;
  img {
    width: 90px;
  }
}
.card{
  display: none;
&.active {
  display: block;
}
}
.card-text{
  font-family: MarkaziText-Regular;
}
.card-title {
  font-family: Cairo-Bold;
}
.map-image{
  background: url('../assets/icons/map-tn.svg') top no-repeat;
  height: 43rem;
}
.st1{fill:#BE0C27;stroke:#FFFFFF;stroke-miterlimit:10;}
.lang-icon{
  color: white;
  text-transform: uppercase;
  font-size: 25px;
  li{
  display: inline;
  }
}

.collapse {
  &.in {
    display: block;
  }
}